Name:           perl-ExtUtils-XSpp
Epoch:          1
Version:        0.18
Release:        8%{?dist}
Summary:        C++ variant of Perl's XS language
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-XSpp/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/ExtUtils-XSpp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(base)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Digest::MD5)
# Exporter not used at tests
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.07
BuildRequires:  perl(ExtUtils::Typemaps)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
# Getopt::Long not used at tests
BuildRequires:  perl(IO::Handle)
# IPC::Open2 not used at tests
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(if)
BuildRequires:  perl(Test::Base)
BuildRequires:  perl(Test::Base::Filter)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(IPC::Open2)
Requires:       perl(ExtUtils::ParseXS) >= 3.07

%global __requires_exclude_from %{?__requires_exclude_from:__requires_exclude_from|}^%{_datadir}/doc

%description
ExtUtils::XSpp handles the XS++ language, used to create an extension interface
between Perl and C++ code/library.

%prep
%setup -q -n ExtUtils-XSpp-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes examples README XSP.yp
%{_bindir}/xspp
%{perl_vendorlib}/ExtUtils*
%{_mandir}/man?/*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1:0.18-7
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1:0.18-4
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1:0.18-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 26 2013 Petr Pisar <ppisar@redhat.com> - 1:0.18-1
- 0.18 bump
- Use two-digit versions again

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1700-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 0.1700-2
- Perl 5.18 rebuild

* Mon Feb 11 2013 Petr Pisar <ppisar@redhat.com> - 0.1700-1
- 0.1700 bump

* Thu Jan  3 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.1603-1
- 0.1603 bump
- Update dependencies and source URL

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1602-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.1602-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1602-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Petr Pisar <ppisar@redhat.com> - 0.1602-3
- RPM 4.9 dependency filtering added

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.1602-2
- Perl mass rebuild

* Mon Jun 06 2011 Petr Pisar <ppisar@redhat.com> - 0.1602-1
- 0.1602 bump
- Remove defattr

* Mon Mar 14 2011 Petr Sabata <psabata@redhat.com> - 0.1601-1
- 0.1601 bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 22 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.15-1
- update, fix permission on Grammar.pm (generated file)

* Thu Jul 15 2010 Petr Pisar <ppisar@redhat.com> - 0.12-2
- Remove private perl(ExtUtils::XSpp::Lexer) Requires

* Wed Jul 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.12-1
- update to 0.12

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-5
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.04-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.04-3
- rebuild against perl 5.10.1

* Tue Aug 25 2009 Stepan Kasal <skasal@redhat.com> 0.04-2
- follow suggestions from Parag's review

* Fri Aug 21 2009 Stepan Kasal <skasal@redhat.com> 0.04-1
- Specfile created from a one autogenerated by cpanspec 1.78.
